PDA

View Full Version : [ubuntu] Can't install ffmpeg with restricted codecs on Hardy



Funzo22
May 20th, 2008, 10:59 PM
I have tried several times, following tutorials that have worked for me back when I used feisty and precompiled packages, I don't get any errors or anything, but when I try encoding aac videos it complains that the codec doesn't work.

I think i had the same problem with gutsy, but I just made do... now I really need to be able to encode videos for my ipod


Any help is apprciated!



Thanks~!!!!

Also: I should note that when I compile ffmpeg it says that aac and other restricted codecs will be present, but then they are not

monraaf
May 20th, 2008, 11:17 PM
ffmpeg from the standard repository is crippled. Just add the Medibuntu repository then update ffmpeg and you'll be fine.

https://help.ubuntu.com/community/Medibuntu

Funzo22
May 22nd, 2008, 11:22 PM
ffmpeg from the standard repository is crippled. Just add the Medibuntu repository then update ffmpeg and you'll be fine.

https://help.ubuntu.com/community/Medibuntu

thanks, but it still doesn't work I get unknown codec 'aac' when I try to encode anything

cor2y
May 22nd, 2008, 11:37 PM
you need to have the aac codec library for encoding which means libfaac try having that installed.

Funzo22
June 2nd, 2008, 01:22 PM
you need to have the aac codec library for encoding which means libfaac try having that installed.

still no luck

Pjotr123
June 2nd, 2008, 06:01 PM
Try applying this how-to:
http://ubuntutip.googlepages.com/multimediaubuntustep2

Hope this helps.

Greetz, Pjotr.